#ifndef INTERACTABLENPC_HPP_INCLUDED
#define INTERACTABLENPC_HPP_INCLUDED

#include "../../Core/Classes/NPC.hpp"
#include "../../Core/Classes/NPCInfo.hpp"
#include "../../Core/Types/Tile.hpp"
#include "../../Core/Types/Point.hpp"
#include "../../Core/Types/Convex.hpp"
#include <cstdint>

namespace Interactable
{
    class NPC : public Internal::NPC
    {
        public:
            NPC(const Internal::NPC& N);
            NPC(const NPC& N);

            std::int32_t GetID() const;
            std::string GetName() const;
            Tile GetTile() const;
            Internal::NPCInfo GetInfo() const;
            std::vector<Point> GetModel() const;
            Convex GetConvex() const;
            Internal::Character GetInteracting() const;
            bool Interacting() const;
            bool Interacting(const Internal::Character& C) const;

            operator Internal::NPC() const;
    };
}

#endif // INTERACTABLENPC_HPP_INCLUDED
