#ifndef INTERACTABLEPLAYER_HPP_INCLUDED
#define INTERACTABLEPLAYER_HPP_INCLUDED

#include "../../Core/Classes/Player.hpp"
#include "../../Core/Classes/PlayerInfo.hpp"
#include "../../Core/Types/Tile.hpp"
#include "../../Core/Types/Point.hpp"
#include "../../Core/Types/Convex.hpp"
#include <cstdint>

namespace Interactable
{
    class Player : public Internal::Player
    {
        public:
            Player(const Internal::Player& P);
            Player(const Player& P);

            Tile GetTile() const;
            Internal::PlayerInfo GetInfo() const;
            std::vector<Point> GetModel() const;
            Convex GetConvex() const;
            Internal::Character GetInteracting() const;
            bool Interacting() const;
            bool Interacting(const Internal::Character& C) const;

            operator Internal::Player() const;
    };
}


#endif // INTERACTABLEPLAYER_HPP_INCLUDED
