#ifndef INTERACTABLEWALLOBJECT_HPP_INCLUDED
#define INTERACTABLEWALLOBJECT_HPP_INCLUDED

#include "../../Core/Classes/WallObject.hpp"
#include "../../Core/Classes/ObjectInfo.hpp"
#include "../../Core/Types/Tile.hpp"
#include "../../Core/Types/Point.hpp"
#include "../../Core/Types/Convex.hpp"
#include <cstdint>

namespace Interactable
{
    class WallObject : public Internal::WallObject
    {
        public:
            WallObject(const Internal::WallObject& G);
            WallObject(const WallObject& G);

            std::int32_t GetID() const;
            std::string GetName() const;
            Tile GetTile() const;
            Internal::ObjectInfo GetInfo() const;
            std::vector<Point> GetModel() const;
            Convex GetConvex() const;

            operator Internal::WallObject() const;
    };
}


#endif // INTERACTABLEWALLOBJECT_HPP_INCLUDED
