#ifndef COMBAT_HPP_INCLUDED
#define COMBAT_HPP_INCLUDED

#include <cstdint>
#include <string>

/** @addtogroup GameTabs
* @{ */
class Combat
{
    public:
        static bool IsOpen();
        static bool Open();

        static std::int32_t GetHealth();
        static std::int32_t GetMaxHealth();

        static std::int32_t GetSpecialAttack();
        static bool IsSpecialAttacking();
        static bool ToggleSpecialAttack(bool Toggle);

        static bool IsPoisoned();
        static bool HasPoisonImmunity();

        static bool GetAutoRetaliate();
        static bool ToggleAutoRetaliate(bool Toggle);

        static std::string GetStyle();
        static bool SetStyle(const std::string& Style);
};

/** @} */

#endif // COMBAT_HPP_INCLUDED
