#ifndef PROFILE_HPP_INCLUDED
#define PROFILE_HPP_INCLUDED

#include "../../Core/Types/Timer.hpp"
#include <cstdint>
#include <string>

/** @addtogroup Tools
* @{ */
class Profile
{
    public:
        static std::string GetUsername();
        static std::string GetPassword();
        static std::string GetBankPin();
        static std::int32_t GetWorld();

        static bool GetIsMember();
        static bool GetHasPin();

        static std::int32_t GetActionDelayMean();
        static double GetActionDelayDeviation();

        static std::int32_t GetMoveDelayMean();
        static double GetMoveDelayDeviation();

        static std::int32_t GetMouseDownDelayMean();
        static double GetMouseDownDelayDeviation();

        static std::int32_t GetMouseUpDelayMean();
        static double GetMouseUpDelayDeviation();

        static std::int32_t GetKeyDownDelayMean();
        static double GetKeyDownDelayDeviation();

        static std::int32_t GetKeyUpDelayMean();
        static double GetKeyUpDelayDeviation();

        static std::int32_t GetScrollDelayMean();
        static double GetScrollDelayDeviation();

        static double GetStandardDeviationX();
        static double GetStandardDeviationY();

        static double GetBoxProbabilityX();
        static double GetBoxProbabilityY();

        static double GetConvexProbabilityX();
        static double GetConvexProbabilityY();

        static double GetItemProbabilityX();
        static double GetItemProbabilityY();

        static double GetMenuProbabilityX();
        static double GetMenuProbabilityY();

        static double GetWidgetProbabilityX();
        static double GetWidgetProbabilityY();

        static double GetMissFollowUp();

        static double GetFatigue();
        static double GetFatigueGain();
        static double GetFatigueLoss();
        static double GetFatigueMax();

        static bool GetShortBreakEnabled();
        static double GetShortBreakEvery();
        static double GetShortBreakEveryDeviation();
        static double GetShortBreakFor();
        static double GetShortBreakForDeviation();

        static bool GetLongBreakEnabled();
        static double GetLongBreakEvery();
        static double GetLongBreakEveryDeviation();
        static double GetLongBreakFor();
        static double GetLongBreakForDeviation();

        static bool UseProxy();
        static std::string GetProxyHost();
        static std::string GetProxyPort();
        static std::string GetProxyUsername();
        static std::string GetProxyPassword();
};

/** @} */

#endif // PROFILE_HPP_INCLUDED
